# Copyright 2021 (c) Anna Schumaker.
import db
import lib
import sqlite3
import unittest

class TestDB(unittest.TestCase):
    def test_db_init(self):
        self.assertEqual(db.File, lib.data.emmental_data / "emmental.sqlite3")
        self.assertIsInstance(db.Connection, sqlite3.Connection)
        self.assertEqual(db.Connection.row_factory, sqlite3.Row)

        self.assertEqual(db.commit, db.Connection.commit)
        self.assertEqual(db.execute, db.Connection.execute)
        self.assertEqual(db.executemany, db.Connection.executemany)
